<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1CompositionPass.html">CompositionPass</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::CompositionPass Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#ac0daef1d307ace963959896a3db64d75">_isSupported</a>(void)</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a05cbca68fbc408dbf755612cfb72707d">clearAllInputs</a>()</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a5b5540cb8dc10175dc30c3947032013c">CompositionPass</a>(CompositionTargetPass *parent)</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#afe92b6271a375a51b04f0c356a0e177d">getClearBuffers</a>() const </td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a282da4c2b9237dc723a3cfaa5f472ce5">getClearColour</a>() const </td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a5d470d2bf82970961b39fa29453c1597">getClearDepth</a>() const </td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a7eb595bc5eb2792175bd391896b1f032">getClearStencil</a>() const </td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#ae6ace920505a89772df5aac3071c071f">getCustomType</a>() const </td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#aa5f9685c876cca79f5db17470bb5be42">getFirstRenderQueue</a>() const </td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a1d4644512ed6fffd5f5ea6573ea1c25f">getIdentifier</a>() const </td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a6fac93539b7a65dce7a7d359a7bd730a">getInput</a>(size_t id) const </td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a40b1f23eb3345ce53d4ce0887345c2d4">getLastRenderQueue</a>() const </td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#aee07fa6e3183a5e1fcc28b4977780925">getMaterial</a>() const </td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a1d9d4d242b36e8f419d1b8716f7a8377">getMaterialScheme</a>(void) const </td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a2da6faf7702e9c2a400b72fa2fa9a1c4">getNumInputs</a>() const </td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a5815c0e9e598fe58d2c7f76be9167976">getParent</a>()</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#aaaa630946b2f2447a11bcde543630c23">getQuadCorners</a>(Real &amp;left, Real &amp;top, Real &amp;right, Real &amp;bottom) const </td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a6efa6cbc828e92aaffe0ceb224f19a93">getQuadFarCorners</a>() const </td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a12c805c9f5b9d7e7de69fc8a3f30c26b">getQuadFarCornersViewSpace</a>() const </td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#af4971b6a6635ba4a7cf4e535e2da0377">getStencilCheck</a>() const </td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#aa04d340e5953c2ec14badfb15226cbe8">getStencilDepthFailOp</a>() const </td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a7b953c21ba5d9b417aa4994e79ec639f">getStencilFailOp</a>() const </td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a93059db22c3fbdde71d20c1b6aa852b0">getStencilFunc</a>() const </td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a6e048a6ea86f29e42a53cec1485a9573">getStencilMask</a>() const </td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a7da4e7fd652a005dd2caaf24f036ef46">getStencilPassOp</a>() const </td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a12018ab4e2b2134f0773006b12770a4d">getStencilRefValue</a>() const </td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a9b004fa584f4b21879f7bcd4962f3626">getStencilTwoSidedOperation</a>() const </td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#aee39093cea27c4fba2dd56dc57b44fa7">getType</a>() const </td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a3b282ac94558d8642b090a6d0f36749b">mClearBuffers</a></td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#abf96127effdcc34e974d67c93e8cc087">mClearColour</a></td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#af0424e3195c69bb730051295932146bf">mClearDepth</a></td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a307f1133d7e5941e1542f8a21a3079b9">mClearStencil</a></td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a2654962285520bf83d0e93bdf9bf615c">mCustomType</a></td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#ac149ba2f99beef55ca6144228a978244">mFirstRenderQueue</a></td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#aa84ac5b3a9a4d54da2d129a4567577c1">mIdentifier</a></td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a0739318ba2d47d4b29e7a0a14d0cbd63">mInputs</a></td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a9e6a2138976e30de8edd13abeb5350b7">mLastRenderQueue</a></td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#ac8d59078bba510dca3b7796f63b2ba45">mMaterial</a></td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#ad5a68caecdab4fab44031c21ebaa35fa">mMaterialScheme</a></td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a69dbfadbe08123a3654988001408fe1f">mParent</a></td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a7322bb95b2b6c75a96233dc9cec338a1">mQuadBottom</a></td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a61bd8f8f5775ea98dc620c9af1ed5b4f">mQuadCornerModified</a></td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a76308a74e34ca151dbb0475df97bbd42">mQuadFarCorners</a></td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a28971217281037ce619416c6181af889">mQuadFarCornersViewSpace</a></td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a78ae919b705cfc954f6f4eeb26c78764">mQuadLeft</a></td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#ab43fed9e7b36e888bc89213fe066455e">mQuadRight</a></td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#aca899e03b6e14cbc8292ca18e74ac77f">mQuadTop</a></td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a8b348a1876efc360bf602fd7f7ea0029">mStencilCheck</a></td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a325047bcd0a7f8ce097ddb4aee685e81">mStencilDepthFailOp</a></td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a7da3a87b2029d343068fd903efef2549">mStencilFailOp</a></td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#ad49e026bd0e97265aedc4f701269ceca">mStencilFunc</a></td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a50d4b6015739493ab4ebeb51232761a4">mStencilMask</a></td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#aeb86ae7589d68c40a953c13d52b43115">mStencilPassOp</a></td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a06bfb33608f605cc216ce88342f5f2ca">mStencilRefValue</a></td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a13aadcaf16c50cd38ca95dc7a161fe4d">mStencilTwoSidedOperation</a></td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a7ebe674aa91f64ac46c0a69e6fad1152">mType</a></td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#aa20bff864069127a799a3593df0146aa">PassType</a> enum name</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#aa20bff864069127a799a3593df0146aaaa7d4ed28ab9cdd43e85a715bd4e068fc">PT_CLEAR</a> enum value</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#aa20bff864069127a799a3593df0146aaaba93db3e2878858fe2fd199354c82af9">PT_RENDERCUSTOM</a> enum value</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#aa20bff864069127a799a3593df0146aaa39b1d2658f5c73b04755e428316ea366">PT_RENDERQUAD</a> enum value</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#aa20bff864069127a799a3593df0146aaac8aa60611671e1b8867c1a30775ba84c">PT_RENDERSCENE</a> enum value</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#aa20bff864069127a799a3593df0146aaa43301dad285fba17915d7867665597ab">PT_STENCIL</a> enum value</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a92187a460af36b8ebe0828cf6d81c277">setClearBuffers</a>(uint32 val)</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a9ab5aefa39e28d1340c489fcce289da8">setClearColour</a>(ColourValue val)</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a1f0e9945281c6551ab0f21a129270339">setClearDepth</a>(Real depth)</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#ad75218db6dbe9993b5486c9c916efc0c">setClearStencil</a>(uint32 value)</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a0937b1f59f584797d44383eeb44b30eb">setCustomType</a>(const String &amp;customType)</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a4af9e5a958c5ec3a69f8bd797d4c2563">setFirstRenderQueue</a>(uint8 id)</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a56bb1d899a43195712944398e2d1bc65">setIdentifier</a>(uint32 id)</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a3dd45b1d61918d581da5595bb42dc04e">setInput</a>(size_t id, const String &amp;input=StringUtil::BLANK, size_t mrtIndex=0)</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a193d54ee08e19d538576ca300c30c006">setLastRenderQueue</a>(uint8 id)</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a21721f49c3b10e36560adff1e563740f">setMaterial</a>(const MaterialPtr &amp;mat)</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a453231b980fc04dd9af9f330feec5236">setMaterialName</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#afdc03ddab7dba7ca065345a0ab5351fd">setMaterialScheme</a>(const String &amp;schemeName)</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a186b5a3bcb90a3ce1d66f97424cd339c">setQuadCorners</a>(Real left, Real top, Real right, Real bottom)</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#ac2831cd42c94887f6e239d1460dc6b5c">setQuadFarCorners</a>(bool farCorners, bool farCornersViewSpace)</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#af0f6a55176e7c69fda820a5d22a50104">setStencilCheck</a>(bool value)</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#ae3c196d705b7bf120e0d888b4867dda4">setStencilDepthFailOp</a>(StencilOperation value)</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#ad7afd96369d5093b5eb2123f2befed58">setStencilFailOp</a>(StencilOperation value)</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a7d60b3d8f6e47891d8e5373bea31d5bd">setStencilFunc</a>(CompareFunction value)</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a052e16876215e11e03bcba8657faf917">setStencilMask</a>(uint32 value)</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#aff4417885952905fc8230cef47a36756">setStencilPassOp</a>(StencilOperation value)</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a1b8cc0c3221bfbc751328cda98c8aff7">setStencilRefValue</a>(uint32 value)</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#afa3d6c2f5f8e6ba85b7844d2bf433a5f">setStencilTwoSidedOperation</a>(bool value)</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#a8b0e3dcfccbdcc9672a96ae6dc2c0123">setType</a>(PassType type)</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionPass.html#ab8fc137845790b360d57056621cd1061">~CompositionPass</a>()</td><td><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:55
</p>
</body>
</html>
